Subject: Re: bug#64855: 30.0.50; ERC 5.6: Make scrolltobottom less erratic

From: "J.P." <[email-masked]>
Date: Mon, 30 Oct 2023 06:46:28 -0700

"J.P." <[email-masked]> writes:

> It seems I went a little overboard in reigning in the frequency of
> scroll attempts. This has been walked back slightly in the attached
> changes.
>
> There's also a subtle quirk that's come to light involving `point-max'
> and (recenter -1) where Emacs calculates point as having drifted off
> screen. We could try tackling this with something kludgey, like
> decrementing point temporarily during `recenter' attempts. But that
> fails if the current input ends in a newline. I've instead decided to
> address this by taking a page from other Emacs libraries and setting
> `scroll-step' locally to 1 if a user hasn't customized
> `scroll-conservatively'. See attached.

This followup was installed as

  e9205323e15 * Be slightly more aggressive with erc-scrolltobottom-all

The bug is already closed.